# Class PhylipSequentialImporter

java.lang.Object
jebl.evolution.io.PhylipSequentialImporter

All Implemented Interfaces:
  `SequenceImporter`

public class PhylipSequentialImporter extends Object implements SequenceImporter
Class for importing PHYLIP sequential file format

Version:
  $Id: PhylipSequentialImporter.java 840 2007-11-09 04:52:39Z twobeers $
Author:
  Andrew Rambaut, Alexei Drummond

## Constructor Summary

Constructors
Constructor
Description
`PhylipSequentialImporter(Reader reader, SequenceType sequenceType, int maxNameLength)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`List<Sequence>`
`importSequences()`
importSequences.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PhylipSequentialImporter

public PhylipSequentialImporter(Reader reader, SequenceType sequenceType, int maxNameLength)
Constructor

## Method Details

### importSequences

public List<Sequence> importSequences() throws IOException, ImportException
importSequences.

Specified by:
  `importSequences` in interface `SequenceImporter`
Throws:
  `IOException`
  `ImportException`